GET/Organizations/{orgId}/Billing
Returns the organization's billing overview: customer information (billing address, default payment method,
whether a trial was already used), subscription licenses grouped by subscription with status, trial,
discount, total and renewal date, single invoiced licenses, and invoices with their PDF and hosted links.
Requires OrganizationAdmin. Subscription ids for Billing_UpdateSubscription come from here.
Path Parameters
| Field | Type | Required | Description |
|---|
| orgId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| customerInformation | GetOrganizationBillingResponseCustomerInfo | |
| subscriptionLicenses | GetOrganizationBillingResponseSubscriptionGroup[]| null | |
| singleLicenses | GetOrganizationBillingResponseLicense[]| null | |
| invoices | GetOrganizationBillingResponseInvoice[]| null | |
GetOrganizationBillingResponseCustomerInfo
| Field | Type | Description |
|---|
| isTrialUsed | boolean | |
| billingInformation | GetOrganizationBillingResponseCustomerInfoBillingAddressInfo | |
| defaultPaymentMethodId | string| null | |
GetOrganizationBillingResponseSubscriptionGroup
| Field | Type | Description |
|---|
| id | string| null | |
| status | string| null | |
| isLocked | boolean | |
| isTrial | boolean | |
| trialEnd | date-time| null | |
| total | number | |
| defaultPaymentMethod | string| null | |
| expirationDate | date-time| null | |
| renews | date-time| null | |
| discount | GetOrganizationBillingResponseSubscriptionGroupSubscriptionDiscount | |
| licenses | GetOrganizationBillingResponseLicense[]| null | |
GetOrganizationBillingResponseLicense
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| type | string| null | |
| productName | string| null | |
| licenseCost | number | |
| expiryDate | date-time| null | |
| isMultiUse | boolean | |
| seats | integer | |
| isValid | boolean | |
| validationReason | string| null | |
| isExhausted | boolean | |
| invoiceNumber | string| null | |
GetOrganizationBillingResponseInvoice
| Field | Type | Description |
|---|
| invoiceId | string| null | |
| invoiceNumber | string| null | |
| invoiceStatus | string| null | |
| invoiceDate | date-time | |
| amountPaid | number | |
| invoicePdfUrl | string| null | |
| hostedInvoiceUrl | string| null | |
GetOrganizationBillingResponseCustomerInfoBillingAddressInfo
| Field | Type | Description |
|---|
| line1 | string| null | |
| line2 | string| null | |
| city | string| null | |
| state | string| null | |
| postalCode | string| null | |
| country | string| null | |
GetOrganizationBillingResponseSubscriptionGroupSubscriptionDiscount
| Field | Type | Description |
|---|
| amountOff | number | |
| percentOff | number | |